import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl.js';

const svg = select('svg');

//const width = +svg.attr('width');
//const height = +svg.attr('height');

//{ fruits }
const makeFruit = type => ({
  type,
	id: Math.random()
});

let fruits = range(5)
				.map(() => makeFruit('apple'));

const render = () => {
  fruitBowl(svg, {
    fruits,
  	height: +svg.attr('height')
  });
};

//fruitBowl(svg, { fruits });
render();

setTimeout(() => {
	fruits.pop();
	//fruitBowl(svg, { fruits });
  render();
}, 1000);

setTimeout(() => {
	//fruits.pop();
  fruits[2].type = "lemon";
	//fruitBowl(svg, { fruits });
  render();
}, 2000);

//ated another apple
setTimeout(() => {
	//fruits.pop();
  fruits = fruits.filter((d, i) => i != 1);
	//fruitBowl(svg, { fruits });
  render();
}, 4000);














